Data Structures | Data Fields
gatts_create_db_t Struct Reference
BLE » Generic Attribute Profile (GATT) » Generic Attribute Profile (GATT) Server » Structures

Parameter of Added service description. More...

`#include <ble_gatts.h>`

## Data Structures
union | attribute_table

## Data Fields
uint16_t * | shdl
const uint8_t * | uuid
uint8_t * | attr_tab_cfg
uint8_t | max_nb_attr
union gatts_create_db_t::attribute_table | attr_tab
uint16_t * | inc_srvc_handle [MAX_INC_SRVC_NUM]
uint16_t | inc_srvc_num
uint8_t | srvc_perm
gatts_service_type_t | attr_tab_type

## Detailed Description

Parameter of Added service description.

## Field Documentation

## ◆ attr_tab

union gatts_create_db_t::attribute_table gatts_create_db_t::attr_tab

Attribute table.

## ◆ attr_tab_cfg

uint8_t* gatts_create_db_t::attr_tab_cfg

Attribute table selector pointer. It can be set to NULL to select all items of attribute table. Each bit matches with an attribute of attribute table.
EXAMPLE:if attr_tab_cfg points to array {0x3F, 0x03}, it means that the 0.1.2.3.4.5.8.9 items of attribute table will be added to database.

## ◆ attr_tab_type

gatts_service_type_t gatts_create_db_t::attr_tab_type

Service table type. See gatts_service_type_t.

## ◆ inc_srvc_handle

uint16_t* gatts_create_db_t::inc_srvc_handle[MAX_INC_SRVC_NUM]

Pointer array of Included Service start handle's address.

## ◆ inc_srvc_num

uint16_t gatts_create_db_t::inc_srvc_num

Included Service number for this service.

## ◆ max_nb_attr

uint8_t gatts_create_db_t::max_nb_attr

Number of attributes in attribute table.

## ◆ shdl

uint16_t* gatts_create_db_t::shdl

Service start handle pointer. If *shdl = 0, it returns a handle using the first available handle (*shdl is modified); otherwise it verifies if the given start handle can be used to allocate handle range.

## ◆ srvc_perm

uint8_t gatts_create_db_t::srvc_perm

Service permission. See Service Permission.

## ◆ uuid

const uint8_t* gatts_create_db_t::uuid

Service UUID pointer. The pointer points to the Service UUID LSB.

The documentation for this struct was generated from the following file:

- ble_gatts.h